View Issue Details

IDProjectCategoryView StatusLast Update
0025434mantisbtemailpublic2019-03-16 20:20
Reportertitovetch Assigned Tocproensa  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.19.0 
Target Version2.20.0Fixed in Version2.20.0 
Summary0025434: check all/ uncheck all checkbox for email notifcation
Description

what if we have check all/ uncheck all checkbox for email notification to facilitate the redundant actions as if you have a lot of status you need to pick each one, i have more than 11 project and 40 status , so if i Confederate all email notification option while selecting all project this will be headache

we can create checkbox to select check all/ uncheck all all column values (in the yellow highlighted area)

TagsNo tags attached.

Activities

titovetch

titovetch

2019-02-03 10:03

reporter  

check all.jpg (181,050 bytes)
check all.jpg (181,050 bytes)
cproensa

cproensa

2019-02-03 18:41

developer   ~0061392

Coincidentally I had this pull request: https://github.com/mantisbt/mantisbt/pull/1445
That i have updated to support table arrangement of checkboxes, so your use case would be covered
Please have a try and help validating it.

titovetch

titovetch

2019-02-27 14:27

reporter   ~0061596

Thanks @cproensa, it looks difficult than having one checkbox for selecting / unselecting all checkboxs one time without using shift key but still workaround better having nothing :)

1- you need to select the first checkbox to unselecting all then selecting the last checkbox in the same column to select all checkboxs
2- if you unselecting 2 columns (one-by-one) then you need to select one column (only) its selecting both columns again (which used shift key on it) so its seems that its triggering the actions that using shift keys the other columns not affecting

testing on last nightly version

cproensa

cproensa

2019-02-27 17:10

developer   ~0061597

it looks difficult than having one checkbox for selecting / unselecting all checkboxs one time without using shift key but still workaround better having nothing :)

The problem i see with several "select all" controls, is that: why arrange for each column, why not selecting for each row instead/too. And the UI gets too cramped.

1- you need to select the first checkbox to unselecting all then selecting the last checkbox in the same column to select all checkboxs

I don't quite understand. The range spans the previos and latest checkbox clicked. The action is based on the last one clicked. This behavior is the same as you can find, eg: in gmail.

2- if you unselecting 2 columns (one-by-one) then you need to select one column (only) its selecting both columns again (which used shift key on it) so its seems that its triggering the actions that using shift keys the other columns not affecting

I don't understand this either. Do you mean that the action, in a 2 dimensional table, is selecting a squares area? Again, as it's not clear if this should be delimited to rows, or columns, then the solution is to use both (2d area)

titovetch

titovetch

2019-03-05 15:50

reporter   ~0061631

Last edited: 2019-03-05 15:52

View 2 revisions

I don't quite understand. The range spans the previos and latest checkbox clicked. The action is based on the last one clicked. This behavior is the same as you can find, eg: in gmail.

Aha got it , tested and its working good with delimited columns. Thanks @cproensa,

dregad

dregad

2019-03-06 03:21

developer   ~0061639

@titovetch does this mean we can close the issue ?

titovetch

titovetch

2019-03-11 03:51

reporter   ~0061661

@dregad this was a feature request and covered by @cproensa in PR https://github.com/mantisbt/mantisbt/pull/1445 you can rescheduled in the soonest version based on the PR status.

Related Changesets

MantisBT: master aee22f54

2019-02-03 18:35:46

cproensa

Details Diff
Enhance checkbox selection for tables

When the "checkbox range selection" enhancement is applied directly to a
table, then use a different element traversing so that the selection
fits a square area over the table cells.

Apply this to manage_config_email_page.

Fixes: 0025434
Affected Issues
0025434
mod - js/common.js Diff File
mod - manage_config_email_page.php Diff File

Issue History

Date Modified Username Field Change
2019-02-03 10:03 titovetch New Issue
2019-02-03 10:03 titovetch File Added: check all.jpg
2019-02-03 18:41 cproensa Assigned To => cproensa
2019-02-03 18:41 cproensa Status new => assigned
2019-02-03 18:41 cproensa Note Added: 0061392
2019-02-27 14:27 titovetch Note Added: 0061596
2019-02-27 17:10 cproensa Note Added: 0061597
2019-03-05 15:50 titovetch Note Added: 0061631
2019-03-05 15:52 titovetch Note Edited: 0061631 View Revisions
2019-03-06 03:21 dregad Note Added: 0061639
2019-03-11 03:51 titovetch Note Added: 0061661
2019-03-12 04:59 cproensa Changeset attached => MantisBT master aee22f54
2019-03-12 04:59 cproensa Status assigned => resolved
2019-03-12 04:59 cproensa Resolution open => fixed
2019-03-12 04:59 cproensa Fixed in Version => 2.20.0
2019-03-12 09:23 dregad Target Version => 2.20.0
2019-03-16 20:20 vboctor Status resolved => closed